Phone Numbers
List Account Phone Numbers
Retrieve all phone numbers currently owned by your account
GET
/
account-phone-numbers
List Account Phone Numbers
curl --request GET \
--url https://api.kallabot.com/account-phone-numbers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/account-phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/account-phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"phone_numbers": [
{
"sid": "PNa1b2c3d4e5f6g7h8i9j0k1l2m3n4o5",
"phone_number": "+14155551234",
"friendly_name": "Main Business Line",
"capabilities": {
"voice": true,
"sms": true,
"mms": true
},
"status": "inbound",
"cost": {
"amount": "$2.99",
"period": "month",
"is_free": false
},
"renewal_date": "01/15/2024"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}⌘I
List Account Phone Numbers
curl --request GET \
--url https://api.kallabot.com/account-phone-numbers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/account-phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/account-phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"phone_numbers": [
{
"sid": "PNa1b2c3d4e5f6g7h8i9j0k1l2m3n4o5",
"phone_number": "+14155551234",
"friendly_name": "Main Business Line",
"capabilities": {
"voice": true,
"sms": true,
"mms": true
},
"status": "inbound",
"cost": {
"amount": "$2.99",
"period": "month",
"is_free": false
},
"renewal_date": "01/15/2024"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
